Aujourd'hui, Je suis la première étape du tuto http://www.symfony-project.org/jobeet/1_4/Propel/fr/01

Je travaille en local dans une machine vmware avec ubuntu 10.4 desktop. C’est parti.
Euh non, faut que j’aille acheter le pain. 


Je vais jusqu’au check  : check_configuration.php

********************************
*                              *
*  symfony requirements check  *
*                              *
********************************
php.ini used by PHP: /etc/php5/apache2/php.ini
** Mandatory requirements **
 OK        PHP version is at least 5.2.4 (5.3.2-1ubuntu4.2)
** Optional checks **
 OK        PDO is installed
 OK        PDO has some drivers installed: mysql
 OK        PHP-XML module is installed
 OK        XSL module is installed
 OK        The token_get_all() function is available
 OK        The mb_strlen() function is available
 OK        The iconv() function is available
 OK        The utf8_decode() is available
 OK        The posix_isatty() is available
 OK        A PHP accelerator is installed
 OK        php.ini has short_open_tag set to off
 OK        php.ini has magic_quotes_gpc set to off
 OK        php.ini has register_globals set to off
 OK        php.ini has session.auto_start set to off
 OK        PHP version is not 5.2.9

Petit variante : J’utilise eclipse. J’ai téléchargé et installé cette version avec le PDT installé. Pas le package Ubuntu qui n’est pas la dernière version.
http://www.eclipse.org/pdt/downloads/  All-In-One Linux x86/GTK 2 32-bit

Bon, le pain. C’est fait. Je continue donc.

J'ai créé un projet PHP avec Eclipse appelé symfo
Je crée les arborescence depuis eclipse.

J'ia donc une arbo comme celle-ci.

~/workspace/symfo/jobeet  dans lequel j'installe l'archive 1.4 dans le répertoire ./lib/vendor/symfony

Je passe en mode ligne de commande.